> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Validate Bulk Contractor Wallet Resend Test Tx

> Dry-run eligibility check for bulk resend: per-wallet status, Safe balance versus required, blocking reasons.

Required scope: `wallets:read`. It also needs `banking:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-validate-bulk-contractor-wallet-resend-test-tx
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-validate-bulk-contractor-wallet-resend-test-tx:
    post:
      operationId: selfServeValidateBulkContractorWalletResendTestTx
      summary: Self Serve Validate Bulk Contractor Wallet Resend Test Tx
      x-toku-required-scope: wallets:read
      description: >-
        Dry-run eligibility check for bulk resend: per-wallet status, Safe
        balance versus required, blocking reasons.


        Required scope: `wallets:read`. It also needs `banking:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/SelfServeValidateBulkContractorWalletResendTestTxRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SelfServeValidateBulkContractorWalletResendTestTxResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeValidateBulkContractorWalletResendTestTxRequest:
      type: object
      properties:
        walletIDs:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 50
      required:
        - walletIDs
    SelfServeValidateBulkContractorWalletResendTestTxResponse:
      type: object
      properties:
        safeBalance:
          type: object
          properties:
            available:
              type: string
            required:
              type: string
            token:
              type: string
            sufficient:
              type: boolean
          required:
            - available
            - required
            - token
            - sufficient
        wallets:
          type: array
          items:
            type: object
            properties:
              walletID:
                type: string
              contractorName:
                type: string
              walletAddress:
                type: string
              status:
                type: string
                enum:
                  - eligible
                  - warning
                  - blocked
              reason:
                type: string
              severity:
                type: string
                enum:
                  - none
                  - warning
                  - error
            required:
              - walletID
              - contractorName
              - walletAddress
              - status
              - severity
        summary:
          type: object
          properties:
            eligible:
              type: integer
            warnings:
              type: integer
            blocked:
              type: integer
          required:
            - eligible
            - warnings
            - blocked
        canProceed:
          type: boolean
        blockingReasons:
          type: array
          items:
            type: string
      required:
        - safeBalance
        - wallets
        - summary
        - canProceed
        - blockingReasons
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
